diff --git a/sent.c b/sent.c
index dfadd3a..7d392ef 100644
--- a/sent.c
+++ b/sent.c
@@ -327,10 +327,17 @@ getfontsize(Slide *s, unsigned int *width, unsigned int *height)
 	unsigned int curw, newmax;
 	float lfac = linespacing * (s->linecount - 1) + 1;
 
-	/* fit height */
-	for (j = NUMFONTSCALES - 1; j >= 0; j--)
-		if (fonts[j]->h * lfac <= xw.uh)
-			break;
+	if (!s->img) {
+		/* fit height */
+		for (j = NUMFONTSCALES - 1; j >= 0; j--)
+			if (fonts[j]->h * lfac <= xw.uh)
+				break;
+	}
+	else {
+		/* Make the caption minimal for image slides. */
+		j = 1;
+	}
+
 	LIMIT(j, 0, NUMFONTSCALES - 1);
 	drw_setfontset(d, fonts[j]);
 
@@ -544,6 +551,21 @@ xdraw(void)
 		if (!(im->state & SCALED))
 			ffprepare(im);
 		ffdraw(im);
+
+		/* The first line is the image reference, so skip that. */
+		if (slides[idx].linecount > 1) {
+			drw_rect(d, 0, xw.h - height, xw.w, xw.h, 1, 1);
+			for (i = 1; i < slides[idx].linecount; i++)
+				drw_text(d,
+				         (xw.w - width) / 2,
+				         (xw.h - height) + i * linespacing * d->fonts->h,
+				         width,
+				         d->fonts->h,
+				         0,
+				         slides[idx].lines[i],
+				         0);
+			drw_map(d, xw.win, 0, xw.h - height, xw.w, xw.h);
+		}
 	}
 }
 
